View Issue Details

IDProjectCategoryView StatusLast Update
0002436FreeCADBugpublic2016-02-18 16:36
ReporterelgambiteroAssigned Toeivindkvedalen 
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionfixed 
PlatformComputerOSLinux MintOS Version17.3 Rosa
Product Version 
Target VersionFixed in Version0.16 
Summary0002436: Crash when using mirror tool on items made with freecad prior to at least rev5808
DescriptionI upgraded the apt daily repo from 0.16 rev 5805 to 0.16 rev6348, so I don't quite know when this started to happen. I'm running on Linux Mint 17.3 (ubuntu 14.04)

Since the upgrade, selecting any PartMirror operation made in a file that is not made from scratch results in instant crash.

-Taking a file saved by a previous version of FreeCAD, and performing a PartMirror on any item, or new operations made from items works, but selecting the mirror also results in crash.
-Taking any item from an old file, copying it to a new file, mirroring, and selecting the mirror also results in crash.
-BUT! refining a geometry, copying it to another file, and mirroring in that new file works, and the mirror is selectable without crash.
Steps To Reproduce
-Open FreeCAD
-Open AxisShield.fcstd
-Open Part workbench
-Select Bolt001 operation, inside src group
-Apply PartMirror on Bolt001, using XZ plane as mirror plane
-Try to select the mirror you just made
-Crash
Additional InformationMaking the steps make FreeCAD output this log:

?Msg: FreeCAD 0.16, Libs: 0.16R6348 (Git)
© Juergen Riegel, Werner Mayer, Yorik van Havre 2001-2015
  ##### #### ### ####
  # # # # # #
  # ## #### #### # # # # #
  #### # # # # # # # ##### # #
  # # #### #### # # # # #
  # # # # # # # # # ## ## ##
  # # #### #### ### # # #### ## ## ##

Log: Time = Wed Feb 3 19:46:44 2016
Log: AppDataSkipVendor = true
Log: AppHomePath = /usr/lib/freecad/
Log: AppIcon = freecad
Log: AppTempPath = /tmp/
Log: BinPath = /usr/lib/freecad/bin/
Log: BuildRepositoryURL = git://github.com/FreeCAD/FreeCAD.git master
Log: BuildRevision = 6348 (Git)
Log: BuildRevisionBranch = master
Log: BuildRevisionDate = 2016/01/28 15:53:58
Log: BuildRevisionHash = 5fbdd4ac6624e32ba3a3e5523a31d56fe3ba7ae6
Log: BuildVersionMajor = 0
Log: BuildVersionMinor = 16
Log: CopyrightInfo = © Juergen Riegel, Werner Mayer, Yorik van Havre 2001-2015
  ##### #### ### ####
  # # # # # #
  # ## #### #### # # # # #
  #### # # # # # # # ##### # #
  # # #### #### # # # # #
  # # # # # # # # # ## ## ##
  # # #### #### ### # # #### ## ## ##


Log: Debug = 0
Log: DocPath = /usr/lib/freecad/doc/
Log: ExeName = FreeCAD
Log: ExeVendor = FreeCAD
Log: ExeVersion = 0.16
Log: LoggingFile = 1
Log: LoggingFileName = /home/elgambitero/.FreeCAD/FreeCAD.log
Log: MaintainerUrl = http://www.freecadweb.org/wiki/index.php?title=Main_Page
Log: PATH = /usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games:/usr/local/games
Log: PYTHONPATH =
Log: PythonSearchPath = :/usr/bin/../lib/python2.7/:/usr/bin/../lib/python2.7/plat-x86_64-linux-gnu:/usr/bin/../lib/python2.7/lib-tk:/usr/bin/../lib/python2.7/lib-old:/usr/bin/../lib/python2.7/lib-dynload
Log: RunMode = Gui
Log: SplashAlignment = Bottom|Left
Log: SplashInfoColor = #c8c8c8
Log: SplashScreen = freecadsplash
Log: SplashTextColor = #ffffff
Log: StartWorkbench = StartWorkbench
Log: SystemParameter = /home/elgambitero/.FreeCAD/system.cfg
Log: UserAppData = /home/elgambitero/.FreeCAD/
Log: UserHomePath = /home/elgambitero
Log: UserParameter = /home/elgambitero/.FreeCAD/user.cfg
Log: Verbose =
Log: Create Application
Log: Run App init script
Log: Init: starting App::FreeCADInit.py
Log: Init: Searching for modules...
Log: Init: Initializing /usr/lib/freecad/Mod/Sketcher... done
Log: Init: Initializing /usr/lib/freecad/Mod/ReverseEngineering... done
Log: Init: Initializing /usr/lib/freecad/Mod/Image... done
Log: Init: Initializing /usr/lib/freecad/Mod/PartDesign... done
Log: Init: Initializing /home/elgambitero/.FreeCAD/Mod/FreeCAD_assembly2(Init.py not found)... ignore
Log: Init: Initializing /usr/lib/freecad/Mod/Ship(Init.py not found)... ignore
Log: Init: Initializing /usr/lib/freecad/Mod/Plot(Init.py not found)... ignore
Log: Init: Initializing /usr/lib/freecad/Mod/MeshPart... done
Log: Init: Initializing /usr/lib/freecad/Mod/OpenSCAD... done
Log: Init: Initializing /usr/lib/freecad/Mod/Fem... done
Log: Init: Initializing /usr/lib/freecad/Mod/Spreadsheet... done
Log: Init: Initializing /usr/lib/freecad/Mod/Start... done
Log: Init: Initializing /usr/lib/freecad/Mod/Points... done
Log: Init: Initializing /usr/lib/freecad/Mod/Draft... done
Log: Init: Initializing /usr/lib/freecad/Mod/Test... done
Log: Init: Initializing /usr/lib/freecad/Mod/Import... done
Log: Init: Initializing /usr/lib/freecad/Mod/Complete... done
Log: Init: Initializing /usr/lib/freecad/Mod/Web... done
Log: Init: Initializing /usr/lib/freecad/Mod/Material... done
Log: Init: Initializing /usr/lib/freecad/Mod/Raytracing... done
Log: Init: Initializing /usr/lib/freecad/Mod/Mesh... done
Log: Init: Initializing /usr/lib/freecad/Mod/Path... done
Log: Init: Initializing /usr/lib/freecad/Mod/Arch... done
Log: Init: Initializing /usr/lib/freecad/Mod/Robot... done
Log: Init: Initializing /usr/lib/freecad/Mod/Part... done
Log: Init: Initializing /usr/lib/freecad/Mod/Idf... done
Log: Init: Initializing /usr/lib/freecad/Mod/Inspection... done
Log: Init: Initializing /usr/lib/freecad/Mod/Drawing... done
Log: Using /usr/lib/freecad/Mod as module path!
Log: System path after init:
Log: /usr/lib/freecad/bin
Log: /usr/lib/freecad/Mod/Sketcher
Log: /usr/lib/freecad/Mod/ReverseEngineering
Log: /usr/lib/freecad/Mod/Image
Log: /usr/lib/freecad/Mod/PartDesign
Log: /home/elgambitero/.FreeCAD/Mod/FreeCAD_assembly2
Log: /usr/lib/freecad/Mod/Ship
Log: /usr/lib/freecad/Mod/Plot
Log: /usr/lib/freecad/Mod/MeshPart
Log: /usr/lib/freecad/Mod/OpenSCAD
Log: /usr/lib/freecad/Mod/Fem
Log: /usr/lib/freecad/Mod/Spreadsheet
Log: /usr/lib/freecad/Mod/Start
Log: /usr/lib/freecad/Mod/Points
Log: /usr/lib/freecad/Mod/Draft
Log: /usr/lib/freecad/Mod/Test
Log: /usr/lib/freecad/Mod/Import
Log: /usr/lib/freecad/Mod/Complete
Log: /usr/lib/freecad/Mod/Web
Log: /usr/lib/freecad/Mod/Material
Log: /usr/lib/freecad/Mod/Raytracing
Log: /usr/lib/freecad/Mod/Mesh
Log: /usr/lib/freecad/Mod/Path
Log: /usr/lib/freecad/Mod/Arch
Log: /usr/lib/freecad/Mod/Robot
Log: /usr/lib/freecad/Mod/Part
Log: /usr/lib/freecad/Mod/Idf
Log: /usr/lib/freecad/Mod/Inspection
Log: /usr/lib/freecad/Mod/Drawing
Log: /usr/local/sbin
Log: /usr/local/bin
Log: /usr/sbin
Log: /usr/bin
Log: /sbin
Log: /bin
Log: /usr/games
Log: /usr/local/games
Log: Init: App::FreeCADInit.py done
Log: Init: Creating Gui::Application and QApplication
Log: Local server 'FreeCAD' started
Log: OpenGL version 3.0 or higher is present
Log: Run Gui init script
Log: Init: Running FreeCADGuiInit.py start script...
Log: Init: Searching modules...
Log: Init: Initializing /usr/lib/freecad/Mod/Sketcher... done
Log: Init: Initializing /usr/lib/freecad/Mod/ReverseEngineering... done
Log: Init: Initializing /usr/lib/freecad/Mod/Image... done
Log: Init: Initializing /usr/lib/freecad/Mod/PartDesign... done
Log: Module: Part
Log: Loading Part module... done
Log: Init: Initializing /home/elgambitero/.FreeCAD/Mod/FreeCAD_assembly2... done
Log: Init: Initializing /usr/lib/freecad/Mod/Ship... done
Log: Init: Initializing /usr/lib/freecad/Mod/Plot... done
Log: Init: Initializing /usr/lib/freecad/Mod/MeshPart... done
Log: Init: Initializing /usr/lib/freecad/Mod/OpenSCAD... done
Log: Init: Initializing /usr/lib/freecad/Mod/Fem... done
Log: Init: Initializing /usr/lib/freecad/Mod/Spreadsheet... done
Log: Init: Initializing /usr/lib/freecad/Mod/Start... done
Log: Init: Initializing /usr/lib/freecad/Mod/Points... done
Log: Init: Initializing /usr/lib/freecad/Mod/Draft... done
Log: Init: Initializing /usr/lib/freecad/Mod/Test... done
Log: Init: Initializing /usr/lib/freecad/Mod/Import... done
Log: Init: Initializing /usr/lib/freecad/Mod/Complete... done
Log: Init: Initializing /usr/lib/freecad/Mod/Web... done
Log: Init: Initializing /usr/lib/freecad/Mod/Material... done
Log: Init: Initializing /usr/lib/freecad/Mod/Raytracing... done
Log: Init: Initializing /usr/lib/freecad/Mod/Mesh... done
Log: Init: Initializing /usr/lib/freecad/Mod/Path... done
Log: Init: Initializing /usr/lib/freecad/Mod/Arch... done
Log: Init: Initializing /usr/lib/freecad/Mod/Robot... done
Log: Init: Initializing /usr/lib/freecad/Mod/Part... done
Log: Init: Initializing /usr/lib/freecad/Mod/Idf(InitGui.py not found)... ignore
Log: Init: Initializing /usr/lib/freecad/Mod/Inspection... done
Log: Init: Initializing /usr/lib/freecad/Mod/Drawing... done
Log: Init: Loading FreeCAD GUI
Log: Init: Running FreeCADGuiInit.py start script... done
Log: Init: Activating default workbench StartWorkbench
Log: Loading Sketcher module... done
Log: Loading GUI of Part module... done
Log: Loading GUI of Sketcher module... done
Log: Loading GUI of PartDesign module... done
Log: Loading PartDesign module... done
Log: Init: Showing main window
Log: Main window restored
Log: Show main window
Log: Toolbars restored
Log: Couldn't connect to spacenav daemon
Log: Init: Entering event loop
Log: Init: Processing command line files
Log: Active view is Unnamed : 1[*] (at 0x2d8e0e0)
Log: Active document is AxisShield (at 0x2c31310)
Log: X Error: BadWindow (invalid Window parameter) 3
  Major opcode: 31 (X_GrabKeyboard)
  Resource id: 0x0
Log: Sel : Clear selection
Log: ASSERT: "prop != 0" in file /build/freecad-dTsbo0/freecad-0.16+bzr4801+201601282143~ubuntu14.04.1/src/Gui/ExpressionBinding.cpp, line 80
TagsNo tags attached.

Relationships

related to 0002418 closedeivindkvedalen Draft.scale causes segfault. 

Activities

elgambitero

2016-02-04 12:04

reporter  

AxisShield.fcstd (Attachment missing)

elgambitero

2016-02-04 14:29

reporter   ~0006804

This bug is related to :
http://www.freecadweb.org/tracker/view.php?id=2418

Issue History

Date Modified Username Field Change
2016-02-04 12:04 elgambitero New Issue
2016-02-04 12:04 elgambitero File Added: AxisShield.fcstd
2016-02-04 14:29 elgambitero Note Added: 0006804
2016-02-06 10:25 jmaustpc Relationship added related to 0002418
2016-02-07 18:56 eivindkvedalen Assigned To => eivindkvedalen
2016-02-07 18:56 eivindkvedalen Status new => assigned
2016-02-18 16:35 wmayer Changeset attached => FreeCAD Master master e5f1e298
2016-02-18 16:36 wmayer Status assigned => closed
2016-02-18 16:36 wmayer Resolution open => fixed
2016-02-18 16:36 wmayer Fixed in Version => 0.16